VoiceDock Docs
ApiDomains

Select and sync a Resend domain

Select a domain from your Resend account to use for your organization's email notifications. This syncs the domain configuration to your organization.

POST
/domains/sync

Select a domain from your Resend account to use for your organization's email notifications. This syncs the domain configuration to your organization.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

resendDomainId*string

The Resend domain ID to sync

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/domains/sync" \  -H "Content-Type: application/json" \  -d '{    "resendDomainId": "d91cd9bd-1176-453e-8fc1-35364d380206"  }'
{
  "domain": {},
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}